# BEGIN SourceDeps(oneline):
BuildRequires: libgtk+2-devel pkgconfig(gstreamer-0.10)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:          mate-applet-streamer
Summary:       Online radio streamer applet
Version:       0.4.1
Release:       alt1_2
License:       GPLV2+
Group:         Graphical desktop/MATE
URL:           https://github.com/assen-totin/mate-applet-streamer
# Use github releases instead of authors own wordpress site due to inconsistent download paths.
Source0:       https://github.com/assen-totin/mate-applet-streamer/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: gettext-tools libasprintf-devel
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.16.0
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(glib-2.0)

Requires:   mate-panel >= 1.16.0
Requires:   gst-plugins-good1.0
Requires:   gst-plugins-good1.0
Source44: import.info

%description
A MATE panel applet to let you play your favorite online radio stations
from your system tray or panel with a single click.
Icecast directory listing in included.

%prep
%setup -q


%build
NOCONFIGURE=1 ./autogen.sh
%configure \
    --enable-gtk=3 \
    --enable-notify=libnotify \
    --enable-gstreamer=1.0

%make_build

%install
%makeinstall_std

# Remove docs which are handled by rpm already.
rm -rf  %{buildroot}%{_docdir}

# Remove compiled gschemas rpm filetriggers do this
rm -rf %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libexecdir}/streamer_applet
%{_datadir}/pixmaps/applet_streamer*.png
%{_iconsdir}/hicolor/*/apps/applet_streamer.png
%{_datadir}/mate-panel/applets/org.mate.applets.StreamerApplet.mate-panel-applet
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.StreamerApplet.gschema.xml
%{_datadir}/dbus-1/services/org.mate.panel.applet.StreamerApplet.service
%{_datadir}/streamer_applet/streamer.sqlite
%{_libdir}/bonobo/servers/StreamerAppletFactory.server



%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 0.4.1-alt1_2
- update by mgaimport

* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_1
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_2
- update by mgaimport

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_1
- new version

